openSUSE 10 Security Update : ImageMagick (ImageMagick-4543)

This script is Copyright (C) 2007-2016 Tenable Network Security, Inc.


Synopsis :

The remote openSUSE host is missing a security update.

Description :

This update of ImageMagick fixes several vulnerabilities.

- CVE-2007-4985: infinite loop while parsing images

- CVE-2007-4986: integer overflows that can lead to code
execution

- CVE-2007-4987: one-byte buffer overflow that can lead to
code execution (SLES8- and SLES9-based products are not
affected)

- CVE-2007-4988: integer overflows that can lead to code
execution

Solution :

Update the affected ImageMagick packages.

Risk factor :

High / CVSS Base Score : 9.3
(CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C)

Family: SuSE Local Security Checks

Nessus Plugin ID: 27604 ()

Bugtraq ID:

CVE ID: CVE-2007-4985
CVE-2007-4986
CVE-2007-4987
CVE-2007-4988

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now